Package org.flowable.engine.delegate.event.impl

# Class FlowableEscalationEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl
org.flowable.engine.delegate.event.impl.FlowableEscalationEventImpl

All Implemented Interfaces:
  `FlowableEngineEvent`, `FlowableEvent`, `FlowableActivityEvent`, `FlowableEscalationEvent`, `FlowableProcessEngineEvent`

public class FlowableEscalationEventImpl extends FlowableActivityEventImpl implements FlowableEscalationEvent
An `FlowableEscalationEvent` implementation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `escalationCode`
  `protected String`
  `escalationName`

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `activityId, activityName, activityType, behaviorClass`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableEscalationEventImpl(FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEscalationCode()`
  `String`
  `getEscalationName()`
  `void`
  `setEscalationCode(String escalationCode)`
  `void`
  `setEscalationName(String escalationName)`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `getActivityId, getActivityName, getActivityType, getBehaviorClass, setActivityId, setActivityName, setActivityType, setBehaviorClass`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.engine.delegate.event.FlowableActivityEvent

  `getActivityId, getActivityName, getActivityType, getBehaviorClass`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### escalationCode

    protected String escalationCode

  - ### escalationName

    protected String escalationName

- ## Constructor Details

  - ### FlowableEscalationEventImpl

    public FlowableEscalationEventImpl(FlowableEngineEventType type)

- ## Method Details

  - ### getEscalationCode

    public String getEscalationCode()
    Specified by:
      `getEscalationCode` in interface `FlowableEscalationEvent`
    Returns:
      the code of the escalation. Returns null, if no specific escalation code has been specified.

  - ### setEscalationCode

    public void setEscalationCode(String escalationCode)

  - ### getEscalationName

    public String getEscalationName()
    Specified by:
      `getEscalationName` in interface `FlowableEscalationEvent`
    Returns:
      the name of the escalation. Returns null, if no specific escalation name has been specified.

  - ### setEscalationName

    public void setEscalationName(String escalationName)